 
body {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Dosis', sans-serif;
    background-color: #264653;

}

#slider-container {
    overflow: hidden;
    width: 100vw;
}
main{
    width: 100vw;
}
#slider {
    display: flex;
    transition: transform 0.5s ease-in-out;
    height: 650px;
}

.slide {
    min-width: 100%;
    box-sizing: border-box;
    position:relative;
}

.slide img{
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.text-container {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    text-align: center;
    color: #fff;
    font-size: 50px;
    opacity: 0;
    transition: opacity 0.5s ease-in-out;
}
.slide:hover .text-container {
    opacity: 1;
}
.contenedor{
    margin-bottom: 50px;
}

.card {
    background-color: #fff;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    border-radius: 8px;
    overflow: hidden;
    transition: transform 0.3s ease-in-out;
}

.card:hover {
    transform: scale(1.05);
}

.card img {
    height: 200px;
    object-fit: cover;
}


.social-icons {
    margin-top: 10px;
}

.social-icons a {
    color: #fff;
    font-size: 20px;
    margin: 0 10px;
    text-decoration: none;
    transition: color 0.3s ease-in-out;
}

.social-icons a:hover {
    color: #ffcc00;
}
.texto-medio{
    font-size:50px;
    color:white;
    text-align: center;
    padding: 30px;
}

.small-card {
    background-color: transparent;
    border: none;
    border-radius: 10px;
    box-shadow: 0 0 5px rgba(0, 0, 0, 0.5);
    text-align: center;
    padding: 20px;
    color: white;
}
.small-card a{
    color:white;
    font-size: 20px;
}


.bonita-card {
    background-color: #FDFD96;
    border-radius: 10px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.2);
}

.contenedor2{
    background-color: rgb(138, 43, 226);
    height: 500px;
}
.testimonial-container {
    display: flex;
    justify-content: center;
    align-items: center;

}

.testimonial-slider {
    max-width: 800px;
    overflow: hidden;

}
.list-inline i{
    color: white;
}
.testimonial-slide {
    display: flex;
    align-items: center;
    text-align: center;
    padding: 20px;
    border-radius: 10px;
    background-color: #fff;
    box-shadow: 0 0px 5px rgba(0, 0, 0, 0.5);
    margin: 20px 10px;
    transition: transform 0.5s ease-in-out;
}

.testimonial-slide:hover {
    transform: scale(1.05);
}

.testimonial-image {
    width: 80px;
    height: 80px;
    border-radius: 50%;
    overflow: hidden;
    margin-right: 20px;
}

.testimonial-image img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.contenedor4{
    background-color: rgb(138, 43, 226);
    height: auto;
}
.contenedor4 .container{
    padding-bottom: 50px;
}

.loading-ball {

    height:170px;
    width:250px;
    display:flex;
    align-items:center;
    flex-direction: column;
    justify-content: center;
    font-weight:bold;
    box-shadow: 0 0px 5px rgba(0, 0, 0, 0.5);
    border-radius:5px;
    transition: transform 0.5s ease-in-out;
    color:white;
    text-align: center;
}
.loading-label i{
    font-size:1.8em;
    padding-bottom: 5px;
}
.loading-label div:nth-child(2){
    font-size:30px;
}
.uno{
    background-color:#2A9D8F;
}
.dos{
    background-color: #E9C46A;
}
.tres{
    background-color:  #F4A261;
}
.cuatro{
    background-color: #E76F51;
}

.gallery {
    margin: 20px;
    display: flex;
    flex-wrap: wrap;
    height: auto;
    justify-content: center;

}
.gallery img {
    width: 300px;
    height: 200px; 
    object-fit: cover; 
    object-position: center; 
    box-shadow: 0 0px 5px rgba(0, 0, 0, 0.5);
    margin: 20px 0;
}


.modal-body {
    text-align: center;
}

.carousel-inner img {
    width: 100%;
    height: auto;
}

footer {
    background-color: #333333;
    color: #fff;
    width: 100vw;
    text-align: center;
    padding: 20px 0; 
    position: relative;
}


footer::after {
    content: "";
    display: block;
    border-bottom: 1px solid #fff;
    position: absolute;
    bottom: 0;
    left: 50%;
    transform: translateX(-50%);
    width: 100%;
}


.footer-text {
    display: block;
    background-color: #1e1e1e;
    color: #fff;
    padding: 10px 20px;
    position: relative;
    z-index: 1;
    margin-top: 10px;
}